Users

Register a new user

POST
/api/users

Request Body

application/json
  1. body
username*string
Length3 <= length <= 64
email*string
Lengthlength <= 120
password*string
Length3 <= length
name*string
Length3 <= length <= 64
surname*string
Length3 <= length <= 64
affiliation?string
Lengthlength <= 64
app_name?string

Response Body

Created

application/json
  1. response
username*string
Length3 <= length <= 64
email*string
Lengthlength <= 120
name*string
Length3 <= length <= 64
surname*string
Length3 <= length <= 64
affiliation?string
Lengthlength <= 64
credits?string
Lengthlength <= 64
verified?string
Lengthlength <= 2
contract?string
Lengthlength <= 10
app_name?string
curl -X POST "https://example.com/api/users" \  -H "Content-Type: application/json" \  -d '{    "username": "string",    "email": "string",    "password": "string",    "name": "string",    "surname": "string"  }'
{  "username": "string",  "email": "string",  "password": "string",  "name": "string",  "surname": "string",  "affiliation": "string",  "credits": "string",  "verified": "st",  "contract": "string",  "app_name": "string"}